Debian Bug report logs - #561286
request to update dzen2 to latest svn build

version graph

Package: dzen2; Maintainer for dzen2 is Ryan Kavanagh <rak@debian.org>; Source for dzen2 is src:dzen2.

Reported by: Dennis 123321 <dennis123321@googlemail.com>

Date: Tue, 15 Dec 2009 22:24:08 UTC

Severity: wishlist

Found in versions dzen2/0.8.5-3, dzen2/0.8.5-4

Fixed in version dzen2/0.9.5~svn271-1

Done: Ryan Kavanagh <rak@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Petr Rockai <mornfall@debian.org>:
Bug#561286; Package dzen2. (Tue, 15 Dec 2009 22:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis 123321 <dennis123321@googlemail.com>:
New Bug report received and forwarded. Copy sent to Petr Rockai <mornfall@debian.org>. (Tue, 15 Dec 2009 22:24:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dennis 123321 <dennis123321@googlemail.com>
To: submit@bugs.debian.org
Subject: request to update dzen2 to latest svn build
Date: Tue, 15 Dec 2009 22:22:21 +0000
[Message part 1 (text/plain, inline)]
Package: dzen2
Version: 0.8.5-3
Severity: wishlist

Please consider packaging the 'development' (svn) version of dzen2 for
Debian. The current 0.8.5 has not been updated since 2007, and the
up to date svn build addresses several problems and introduces some really
good new features.

svn checkout http://dzen.googlecode.com/svn/trunk/ dzen

It would also fix #499651


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dzen2 depends on:
ii  libc6                         2.10.1-7   GNU C Library: Shared libraries
ii  libx11-6                      2:1.2.2-1  X11 client-side library
ii  libxinerama1                  2:1.0.3-2  X11 Xinerama extension library

dzen2 recommends no packages.

dzen2 suggests no packages.

-- no debconf information
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petr Rockai <mornfall@debian.org>:
Bug#561286; Package dzen2. (Thu, 09 Dec 2010 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas PIERSON <web.pierson@gmail.com>:
Extra info received and forwarded to list. Copy sent to Petr Rockai <mornfall@debian.org>. (Thu, 09 Dec 2010 17:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 561286@bugs.debian.org (full text, mbox):

From: Thomas PIERSON <web.pierson@gmail.com>
To: 561286@bugs.debian.org
Subject: Re: request to update dzen2 to latest svn build
Date: Thu, 9 Dec 2010 18:12:20 +0100
[Message part 1 (text/plain, inline)]
Hi,

I request an upgrade to the last svn development version too because some 
useful features and options like '-dock' are missing from the stable release.
But I understand that there is no reason to upgrade the package because there 
is no new stable version released yet.
Despite that, is there any solution to got an 'svn-updated' package in 
experimental Debian archive?

Best regards,
Thomas PIERSON
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petr Rockai <mornfall@debian.org>:
Bug#561286; Package dzen2. (Sun, 05 Jun 2011 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sukant Hajra <tnks.public@gmail.com>:
Extra info received and forwarded to list. Copy sent to Petr Rockai <mornfall@debian.org>. (Sun, 05 Jun 2011 04:09:04 GMT) Full text and rfc822 format available.

Message #15 received at 561286@bugs.debian.org (full text, mbox):

From: Sukant Hajra <tnks.public@gmail.com>
To: Debian Bug Tracking System <561286@bugs.debian.org>
Subject: Re: to update dzen2 to latest svn build
Date: Sat, 04 Jun 2011 23:05:47 -0500
Package: dzen2
Version: 0.8.5-4
Followup-For: Bug #561286


I wanted to second this request.  I use the i3 window manager, and to integrate
with dzen2, it requires the -dock switch provided by later versions of dzen2.

This is the /one/ package I'm building from scratch these days. . . otherwise,
I'm more or less happy with the packages from Debian's repos.  If you could
update this one package, my update workflow would be dramatically improved.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (90, 'unstable'), (80, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dzen2 depends on:
ii  libc6                         2.13-4     Embedded GNU C Library: Shared lib
ii  libx11-6                      2:1.4.3-1  X11 client-side library
ii  libxinerama1                  2:1.1.1-1  X11 Xinerama extension library
ii  libxpm4                       1:3.5.9-1  X11 pixmap library

dzen2 recommends no packages.

dzen2 suggests no packages.

-- no debconf information




Reply sent to Ryan Kavanagh <rak@debian.org>:
You have taken responsibility. (Sat, 20 Apr 2013 21:21:08 GMT) Full text and rfc822 format available.

Notification sent to Dennis 123321 <dennis123321@googlemail.com>:
Bug acknowledged by developer. (Sat, 20 Apr 2013 21:21:09 GMT) Full text and rfc822 format available.

Message #20 received at 561286-close@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <rak@debian.org>
To: 561286-close@bugs.debian.org
Subject: Bug#561286: fixed in dzen2 0.9.5~svn271-1
Date: Sat, 20 Apr 2013 21:17:51 +0000
Source: dzen2
Source-Version: 0.9.5~svn271-1

We believe that the bug you reported is fixed in the latest version of
dzen2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 561286@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Kavanagh <rak@debian.org> (supplier of updated dzen2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 20 Apr 2013 16:18:06 -0400
Source: dzen2
Binary: dzen2
Architecture: source amd64
Version: 0.9.5~svn271-1
Distribution: experimental
Urgency: low
Maintainer: Ryan Kavanagh <rak@debian.org>
Changed-By: Ryan Kavanagh <rak@debian.org>
Description: 
 dzen2      - General-purpose messaging and notification program for X11
Closes: 499651 561286
Changes: 
 dzen2 (0.9.5~svn271-1) experimental; urgency=low
 .
   * Imported Upstream version 0.9.5~svn271 (Closes: #561286)
     + Get rid of inline patch; reintroduced as 01_build_gadgets.diff
     + Mouse events now work (Closes: #499651)
     + Update copyright file
   * Set myself as maintainer with Petr Rockai's permission
   * Update and simplify 01_build_gadgets.diff for current Makefiles
   * Set the install prefix to /usr, 02_install_prefix.diff
   * Set the CFLAGS to use dpkg-buildflags, 03_CFLAGS.diff
   * Add missing build-dependencies on pkg-config and libxft-dev
   * Bump standards version to 3.9.4
   * Add Vcs-{Git,Browser} pointing to collab-maint
   * Add link to current Homepage in control
   * Drop CDBS in favour of dh >= 9, update rules and compat accordingly
   * Binaries are now installed by upstream Makefiles, update dzen2.install
     accordingly
   * Correct hyphen-as-minus-sign warnings in dzen2-dbar.1
   * Set the Debian source format to 3.0 (quilt)
   * Make use of inheritance in debian/control: Don't define Section twice
   * Clean gadgets in rules' clean target
   * Add empty watch file: upstream does not provide a method of tracking new
     releases
   * Update the gadgets' manpages
Checksums-Sha1: 
 222296f12efd396133df81d94872e06b84780508 2961 dzen2_0.9.5~svn271-1.dsc
 732b55d1dcd1392e0a87ac888d2cfb526943ee4e 41787 dzen2_0.9.5~svn271.orig.tar.gz
 b113e4ec824d51a8b626768236dc3b9d1c6133b7 6955 dzen2_0.9.5~svn271-1.debian.tar.gz
 579c4d310363f21e961b66d4daa7c4f8be11c164 47580 dzen2_0.9.5~svn271-1_amd64.deb
Checksums-Sha256: 
 daa37d17c123144b846bd00ab7d9ac9787f1662a083c82b8b38f18e425ef2d26 2961 dzen2_0.9.5~svn271-1.dsc
 246db7788f4ea702d19d51a3fef6fde4c8f98ca9eae422411435d5183da9de82 41787 dzen2_0.9.5~svn271.orig.tar.gz
 df30fa68586ccff6f2e0fe4d69ec0f72faee15a450b3057803f9cba386142324 6955 dzen2_0.9.5~svn271-1.debian.tar.gz
 358cacba587ad577bc5e33d81fabb38c2883f6779ea12e68d592edfcbedee946 47580 dzen2_0.9.5~svn271-1_amd64.deb
Files: 
 6910da6d952b27be18a20c9d2d36c323 2961 x11 optional dzen2_0.9.5~svn271-1.dsc
 62a2b8ddd431aeae9347f1ea65bad757 41787 x11 optional dzen2_0.9.5~svn271.orig.tar.gz
 830ea39e34b64578d79ed6bf304f61c9 6955 x11 optional dzen2_0.9.5~svn271-1.debian.tar.gz
 f610844de21e39354e3bfe81c014954e 47580 x11 optional dzen2_0.9.5~svn271-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQUcBAEBCgAGBQJRcwLFAAoJEI97+PxKEcl62jIn/1IS2y0arE21w3Ri0tzPqUOX
HGtK+swG1pGF0RLekWqD/Vs+1zyC9dOYUpiLoH0lJZBsNYr8q8xVMV/LRvu9cjOx
kQiIdmqn3KQxPgmXJx1j9T3o/1p8mbqDHiEx+97SWLXMkXRIi1+3f/PVQXL/1ZUo
JL0aCrMK4Yv30UYXgphdspPuOUKYtpLm4+GX3JiGMHPF3n5IEfrFjfsWH0yZgmmk
QK3KEAGe8oZEs1D01WslDUyVfgt/WaJCPl4LbLOu1q0z66EBdZO4z12t1Ezzm3N+
KnBniCz9C8hPPzV/amg3Bn2WNi8mWHx9dyPe7eQcgGm5DWQZABSyJFYamSo5MkuL
Qa38kreUF3Y3uh8glOyJnxKW+fyN4ZeHvLzHoNdDBEWH3if9bplXBCd4UD5xaXLC
MwSfXunryP00K31VqRdkbG1nY54o/+9jaN+U3jqZvKJUOwIt9pniQ2mDbv1tEpeN
AWryX5GypIEqUIkUyv5XVJi/XzxasAplEMzD3sceC2d9mQaokFUda6gPtMJiRb85
QB6R362sXIHUG1rtkgH8VTL9UDYdATtxEtZ0IMSqVMlD4CONa1M43qvFzHiDlHtQ
/JCv0EkI0uZs4HKlCXOyBMw3zGcV1mwFNQLKlgFoIz8jSz7tNiAQBeCgBWWBtuTj
gP5rlNwwHagXxSTpe45nKCCeuvHq50GGfNnzX8rLDCVytdjFCYwnXUkOVs7znRUE
s2fpNNLhspLail2p2tqMbKGhGbxk51e3zqzrKcQ7Ug4QTtv0UuTa1AXxRnwzR/gD
En/m+Q6Pv8wiObLxWCmOl1l8xQe3GhRWUwHIQ2hzvuMQ4IF4z7bqqG9dnys52Lvv
SAJNk6yZfyUpvGZd60BYe7aR20GkRl61EO61KsbvHlUqdgFtRGMNTWFx0BRKjMsa
7WIo8Vu9AAx1pBxnqRx47vEEhZ4y3/D+4yNYETrV9j6U5NP9Z5YRH8aFmNGHb8EW
5mEBaNHhegiplUhF4TVxiqP4onFJEHYIR0OoYUrmZnMoh+o4rc4vRZQnqbhqzn9V
Nq8h0Ct1+3oDOSuH1k1dOHJXGzAjSD9zFwAsb0xvriGDx1wgJD0DIROs/64aJN6k
OYE+Y2vjNlcxYe2JMb7PyFhZC8LdncZbgpjFHx+UTiIbizJPiCMjXE+wCaZtEjfD
0qESVpqHoPQZKBwxF/GNe3Du11l7/GgpPWFG7hxOP79E1uBnqsrviRUjAGR3Xcgi
Hmig2+VmjwxcB38jPhKMeaj0nVG2ob/KKnjmdKo1hCgIDf0cgnLOE9PcFtfl+kwe
MGMcFRHp0MJ9LfCCENATE3ZiPY8KT3sFsSBRKrwAwZIHBMBRP78+tzvS8WwW+NL8
KlQMksFZbUF5erR+u88+EFr4/T5+IqfU71CLbFakBeIgT5rVGVQyZHBYHi6UJNL4
WhgapUGKtmK0vgdkxY3xCnsNBrDM5Nxg4VydGL1rvC/l/f5EARh/AF98ee2aNGCo
YRXDdSx3nIC1Ou9c63H596ptc4HH72YLlc0ZWcqVj4/ZxhucoWjPrJjAxAu7rx4j
kpgggcCzqkScyb0BHzdp5/Lfkc5kQ9lA/Lugmw0Z0j2opNOHh0/ZwExhu9eZQ637
50Axxt3i6sp1DFri/lRu0IrIBrqPA/Z+bKaEiJO1SF5K2h9juHYqvi+fUTptlFLe
3nEjNwwZZKsVPkPWKZQp
=88B9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Aug 2013 07:36:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:23:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.